PgBeam Docs
Webhooks

Delete a webhook endpoint

DELETE
/v1/projects/{project_id}/webhooks/{webhook_id}

Deletes a webhook endpoint and its pending deliveries.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

webhook_id*string

Unique webhook endpoint identifier (prefixed, e.g. whk_xxx).

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/string/webhooks/string"
Empty
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}